<%--
Look for the code that controls this form in the product.aspx.cs file! 
This file contains the HTML template. (Which you will also need to modify.)			
--%>
<%@ Page language="c#" Codebehind="product.aspx.cs" AutoEventWireup="false" Inherits="inventory_starter.product" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html>
	<head>
		<title>Inventory Product Information</title>
		<%--
			Look for the code that controls this form in the product.aspx.cs file! 
			This file contains the HTML template. (Which you will also need to modify.)			
		--%>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<link title="default" href="style.css" type="text/css" rel="Stylesheet">
	</head>
	<body ms_positioning="GridLayout">
		<form id="Form1" method="post" runat="server">
			<h2>Product Information</h2>
			<p><a href="default.aspx">Back To Product List</a></p>
			<asp:placeholder id="inputError" runat="server" visible="false">
				<p><strong>Input Error:
						<%= Request.QueryString["product"] %>
						is an invalid product id</strong></p>
			</asp:placeholder>
			<asp:placeholder runat="server" id="content">
				<table>
					<tr>
						<th>
							Type</th>
						<td><%= /* ! */ %></td>
					</tr>
					<tr>
						<th>
							Name</th>
						<td><%= /* ! */ %></td>
					</tr>
					<tr>
						<th>
							Price</th>
						<td><%= /* ! */ %></td>
					</tr>
					<tr>
						<th>
							Discount</th>
						<td><%= /* ! */ %></td>
					</tr>
					<tr>
						<th>
							Weight</th>
						<td><%= /* ! */ %></td>
					</tr>
					<tr>
						<th>
							GTIN</th>
						<td><%= /* ! */ %></td>
					</tr>
					<tr>
						<th>
							Stock</th>
						<td><%= /* ! */ %></td>
					</tr>
					<tr>
						<th>
							Authors [<%= /* author count */ %>]</th>
						<td><%--
							The repeater assumes you have a collection of authors ...
							--%>
							<asp:repeater id="authorRepeater" runat="server">
								<headertemplate>
									<ul>
								</headertemplate>
								<itemtemplate>
									<li>
										<%# /* author name */ %>
									</li>
								</itemtemplate>
								<footertemplate>
								</ul>
							</footertemplate>
							</asp:repeater></td>
					</tr>
					<tr>
						<th>
							Warehouses [<%= /* warehouse count */ %>]</th>
						<td><%--
							The repeater assumes you have a collection of warehouses ...
							--%>
							<asp:repeater id="warehouseRepeater" runat="server">
								<headertemplate>
									<ul>
								</headertemplate>
								<itemtemplate>
									<li>
										<%# /* warehouse street */ %>
										<%# /* warehouse city */ %>
										,
										<%# /* warehouse state */ %>
										<%# /* warehouse zip */ %>
									</li>
								</itemtemplate>
								<footertemplate>
								</ul>
							</footertemplate>
							</asp:repeater></td>
					</tr>
				</table>
			</asp:placeholder>
		</form>
	</body>
</html>
